org.eclipse.viatra.transformation.evm.api.resolver

## Class ConflictSetUpdater

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.api.resolver.ConflictSetUpdater

- All Implemented Interfaces:
    IActivationNotificationListener

      public class ConflictSetUpdater
      extends java.lang.Object
      implements IActivationNotificationListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConflictSetUpdater(ChangeableConflictSet changeableConflictSet)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activationChanged(Activation<?> activation, ActivationState oldState, EventType event)` This method is called by `ActivationNotificationProvider` to relay changes to listeners.
    `void` | `activationCreated(Activation<?> activation, ActivationState inactiveState)`
    `void` | `activationRemoved(Activation<?> activation, ActivationState oldState)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConflictSetUpdater

          public ConflictSetUpdater(ChangeableConflictSet changeableConflictSet)

      Parameters:
        `changeableConflictSet` -

  - ### Method Detail

    - #### activationRemoved

          public void activationRemoved(Activation<?> activation,
                                        ActivationState oldState)

      Specified by:
        `activationRemoved` in interface `IActivationNotificationListener`

    - #### activationCreated

          public void activationCreated(Activation<?> activation,
                                        ActivationState inactiveState)

      Specified by:
        `activationCreated` in interface `IActivationNotificationListener`

    - #### activationChanged

          public void activationChanged(Activation<?> activation,
                                        ActivationState oldState,
                                        EventType event)

      Description copied from interface: `IActivationNotificationListener`
      This method is called by `ActivationNotificationProvider` to relay changes to listeners.

      Implementing classes can use the old state, the event, and the new state (available from the activation).
      Specified by:
        `activationChanged` in interface `IActivationNotificationListener`